Summary:          An eXtensible Open Router Platform (XORP)
Name:             xorp
Version:          1.6
Release:          1%{?dist}
License:          BSD
Group:            System Environment/Daemons
Source0:          http://www.%{name}.org/releases/%{version}/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Source3:          %{name}.logrotate
Source4:          %{name}.conf
Patch0:           %{name}-1.5-build.patch
URL:              http://www.%{name}.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         traceroute
Requires(pre):    /usr/sbin/groupadd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    libpcap-devel lm_sensors-devel ncurses-devel
BuildRequires:    net-snmp-devel openssl-devel python


%description
XORP is an extensible open-source routing platform. Designed for extensibility
from the start, XORP provides a fully featured platform that implements IPv4
and IPv6 routing protocols and a unified platform to configure them. XORP's
modular architecture allows rapid introduction of new protocols, features and
functionality, including support for custom hardware and software forwarding.


%prep
%setup -q
%patch0 -p1

# Prepare docs
%{__cp} contrib/olsr/NOTES NOTES.olsr


%build
%configure \
	--prefix="%{_libexecdir}/%{name}" \
	--disable-static                  \
	--enable-shared                   \
	--enable-optimize                 \
	--with-openssl=%{_prefix}         \
	--with-snmp                       \
	--with-olsr

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{logrotate.d,sysconfig,%{name}}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/config

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	sbindir=%{_sbindir}       \
	install

%{__ln_s}    %{_bindir}/xorp_rtrmgr       ${RPM_BUILD_ROOT}%{_sbindir}/%{name}

for DIR in etc xrl; do
  %{__mv}    ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/${DIR} \
	     ${RPM_BUILD_ROOT}%{_datadir}/%{name}

  %{__ln_s}  %{_datadir}/%{name}/${DIR}   ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}
done

%{__install} -m 0755 %{SOURCE1}           ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2}           ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 0644 %{SOURCE3}           ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

%{__install} -m 0660 %{SOURCE4}           ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}

%{__install} -m 0644 rtrmgr/config/README ${RPM_BUILD_ROOT}%{_datadir}/%{name}/config
%{__install} -m 0644 rtrmgr/config/*.boot ${RPM_BUILD_ROOT}%{_datadir}/%{name}/config


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BUGS BUILD_NOTES ERRATA LICENSE* NOTES*
%doc README RELEASE_NOTES TODO VERSION
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(770,root,%{name}) %dir %{_sysconfdir}/%{name}
%attr(660,root,%{name}) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/xorp_profiler
%{_bindir}/xorp_rtrmgr
%{_bindir}/xorpsh
%{_sbindir}/call_xrl
%{_sbindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/%{name}


%changelog
* Sat Jan 17 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.6-1
- New version (1.6)

* Mon Dec 08 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.5-1
- Initial build
